<?php

namespace App\Filament\Resources\ChargesPotentielleProfs\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class ChargesPotentielleProfForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('libelle')
                    ->required()
                    ->maxLength(255),
                TextInput::make('volume_horaire')
                    ->required()
                    ->numeric(),
            ]);
    }
}
